<app-loading *ngIf="isLoading"></app-loading>
<form nz-form [formGroup]="paramsSearchEmp">
  <div nz-row [nzGutter]="[32, 24]">
    <div nz-col class="gutter-row" nzLg="6">
      <org-data-picker
        formControlName="currentUnit"
        [scope]="scope"
        [functionCode]="functionCode"
        (selectedChange)="onChangeUnit($event?.orgId)"
        mbLabelText="{{ 'development.interview-config.colTable.unitName' | translate }}">
      </org-data-picker>
    </div>

    <div nz-col class="gutter-row" nzLg="6">
      <mb-select
        formControlName="currentTitle"
        name="currentTitle"
        [mbDataSelects]="jobDTOS"
        mbKeyLabel="jobName"
        mbKeyValue="jobId"
        mbLabelText="{{ 'development.interview-config.colTable.titleName' | translate }}"
        mbPlaceholder="{{ 'development.interview-config.colTable.titleName' | translate }}"
      ></mb-select>
    </div>

    <div nz-col class="gutter-row" nzLg="6">
      <mb-input-text
        formControlName="employeeCode"
        name="employeeCode"
        [mbMaxLength]="20"
        mbLabelText="{{ 'development.interview-config.colTable.codeEmployee' | translate }}"
        mbPlaceholderText="{{ 'development.interview-config.colTable.codeEmployee' | translate }}"
      >
      </mb-input-text>
    </div>
    <div nz-col class="gutter-row" nzLg="6">
      <mb-input-text
        formControlName="employeeName"
        name="employeeName"
        [mbMaxLength]="50"
        mbLabelText="{{ 'development.interview-config.colTable.nameEmployee' | translate }}"
        mbPlaceholderText="{{ 'development.interview-config.colTable.nameEmployee' | translate }}"
      >
      </mb-input-text>
    </div>
  </div>
</form>

<div class="search-interview__btnGroup">
  <mb-button class="search-btn" mbButtonType="BORDER" mbButtonSize="MEDIUM" (click)="search(1)" [mbButtonIsLoading]="isLoading"
  mbButtonText="{{ 'development.interview-config.buttonAction.search' | translate }}"
  mbButtonBorderColor
  mbButtonTextColor>
  </mb-button>
</div>

<mb-table-wrap [mbTitle]="''" [extra]='false'>
  <mb-table
    (changePageNum)="search($event)"
    [tableConfig]="tableConfig"
    [tableData]="dataTable"
    [heightTable]="heightTable"
    (onDblClickNode)="selectEmp($event)"
  >
  </mb-table>
</mb-table-wrap>

<ng-template #checkboxHeader>
  <label
       nz-checkbox
        [nzChecked]="checked"
        (nzCheckedChange)="onAllChecked($event)"
  ></label>
</ng-template>

<ng-template #checkbox let-empId="empId">
  <label
    nz-checkbox
    [nzChecked]="quantityMap.has(empId)"
    (nzCheckedChange)="onItemChecked(empId, $event)"
  ></label>
</ng-template>

